Skip to main content
GET
/
portfolio
/
{id}
/
notes
Get a company's notes
curl --request GET \
  --url https://api.cura.inc/portfolio/{id}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "attributes": {
        "company_id": "<string>",
        "title": "<string>",
        "content": "<string>",
        "source": "<string>",
        "created_by": "<string>",
        "created_at": "<string>"
      }
    }
  ],
  "pagination": {
    "limit": 50,
    "offset": 0,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Your workspace API key (cura_…), sent as Authorization: Bearer <key>.

Path Parameters

id
string<uuid>
required

Portfolio company id.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

limit
integer
default:50

Max notes to return (1–100).

Required range: 1 <= x <= 100
Example:

50

offset
integer
default:0

Number of notes to skip.

Required range: 0 <= x <= 9007199254740991
Example:

0

Response

A page of notes.

data
object[]
required
pagination
object
required

Offset-based pagination metadata.